Endpoints年龄验证门

获取默认权限

返回玩家在其司法管辖区默认会获得的权限,即尚未取得监护人同意之前的权限。 请在提供司法管辖区的同时,最多提供 `dateOfBirth`、`age` 或 `kuid` 中的一个;提供多个会导致请求无效。三者都不提供时,将按当前日期计算玩家年龄。 该接口不会保存任何数据,因此适合在执行年龄验证之前预览某个司法管辖区允许哪些行为。

GET
/age-gate/get-default-permissions
AuthorizationBearer <token>

In: header

Query Parameters

jurisdiction*string

玩家的管辖区域,可以是ISO 3166-1 alpha-2国家代码或ISO 3166-2分区代码。

Match^[A-z]{2}(-[A-z0-9]{1,3})?$
dateOfBirth?string

玩家的出生日期,格式为YYYY-MM-DD

Match^[0-9]{4}(-[0-9]{2}(-[0-9]{2})?)?$
Formatdate
age?integer

玩家的年龄(以年为单位)。

Range0 <= value <= 150
kuid?string

玩家现有的k-ID用户ID。

Match^[A-z0-9]{8}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{12}$
Formatuuid
platformName?string

提供年龄信号的平台。

Value in

  • "k-id"
  • "meta-horizon"
  • "apple-ios"
  • "google-play"
  • "xbox"
platformAgeLow?integer

平台报告的最小年龄(以年为单位)。

platformAgeHigh?integer

平台报告的最大年龄(以年为单位)。

platformCategory?string

平台特定的年龄类别(例如:"digital-youth"、"13-15"、"teen")。

platformDeclarationType?string

来自平台的声明类型(例如:Apple AgeRangeDeclaration 或 Google userStatus)。

platformVerificationId?string

k-id 平台信号对应的验证ID。

Match^[A-z0-9]{8}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{12}$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/age-gate/get-default-permissions?jurisdiction=US-CA"
{  "ageStatus": "LEGAL_ADULT",  "ageCategory": "adult",  "requiresParentConsentForDataProcessing": true,  "permissions": [    {      "name": "text-chat-public",      "enabled": false,      "managedBy": "GUARDIAN"    },    {      "name": "text-chat-private",      "enabled": true,      "managedBy": "PLAYER"    },    {      "name": "forums",      "enabled": false,      "managedBy": "PROHIBITED"    }  ]}